<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: BinaryOpProperties Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_binary_op_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_binary_op_properties-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BinaryOpProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for BinaryOpProperties:</div>
<div class="dyncontent">
<div class="center"><img src="struct_binary_op_properties__coll__graph.png" border="0" usemap="#_binary_op_properties_coll__map" alt="Collaboration graph"/></div>
<map name="_binary_op_properties_coll__map" id="_binary_op_properties_coll__map">
<area shape="rect" title=" " alt="" coords="178,317,326,344"/>
<area shape="rect" href="struct_left_right.html" title=" " alt="" coords="5,213,85,240"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="109,213,243,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="119,124,233,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="139,5,213,32"/>
<area shape="rect" href="struct_found_block.html" title=" " alt="" coords="267,213,365,240"/>
<area shape="rect" href="struct_node_hierarchy.html" title=" " alt="" coords="389,213,507,240"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9bbc77be14942519102708a73201b659"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a9bbc77be14942519102708a73201b659">isPtrMemOp</a></td></tr>
<tr class="separator:a9bbc77be14942519102708a73201b659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d9a9d667a2211ed35d7a97825ee783"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a54d9a9d667a2211ed35d7a97825ee783">isMultiplicativeOp</a></td></tr>
<tr class="separator:a54d9a9d667a2211ed35d7a97825ee783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac088fdfb8f91cc9fc7890f525a755f3e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ac088fdfb8f91cc9fc7890f525a755f3e">isAdditiveOp</a></td></tr>
<tr class="separator:ac088fdfb8f91cc9fc7890f525a755f3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1d07da54288df5b59adc69b49c1fc1d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ab1d07da54288df5b59adc69b49c1fc1d">isShiftOp</a></td></tr>
<tr class="separator:ab1d07da54288df5b59adc69b49c1fc1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3b4f1a8335d82ec2246678fbbbadf14"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ae3b4f1a8335d82ec2246678fbbbadf14">isBitwiseOp</a></td></tr>
<tr class="separator:ae3b4f1a8335d82ec2246678fbbbadf14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4edebb1c0b90d08a4c085425d8db5111"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a4edebb1c0b90d08a4c085425d8db5111">isRelationalOp</a></td></tr>
<tr class="separator:a4edebb1c0b90d08a4c085425d8db5111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a7c22ecc82a0fba0cce3bbf816d7928"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a7a7c22ecc82a0fba0cce3bbf816d7928">isEqualityOp</a></td></tr>
<tr class="separator:a7a7c22ecc82a0fba0cce3bbf816d7928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5330473a4d91c9ace114bc9f12b4ce67"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a5330473a4d91c9ace114bc9f12b4ce67">isComparisonOp</a></td></tr>
<tr class="separator:a5330473a4d91c9ace114bc9f12b4ce67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd57715d3ceceadde0034b53ac1f2f5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aecd57715d3ceceadde0034b53ac1f2f5">isLogicalOp</a></td></tr>
<tr class="separator:aecd57715d3ceceadde0034b53ac1f2f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6b3869108ab68d320b213da1623a820"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ae6b3869108ab68d320b213da1623a820">isAssignmentOp</a></td></tr>
<tr class="separator:ae6b3869108ab68d320b213da1623a820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65391488c3c2f167dd05fa58706284a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a65391488c3c2f167dd05fa58706284a6">isCompoundAssignmentOp</a></td></tr>
<tr class="separator:a65391488c3c2f167dd05fa58706284a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c310139b725c9e83a8f317d8aae5037"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a5c310139b725c9e83a8f317d8aae5037">isShiftAssignOp</a></td></tr>
<tr class="separator:a5c310139b725c9e83a8f317d8aae5037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1396f88754a6afd9de9765b10f52df2f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a1396f88754a6afd9de9765b10f52df2f">hasGlobalLHS</a></td></tr>
<tr class="separator:a1396f88754a6afd9de9765b10f52df2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae922e477bd81ee5c469c0047f7f88046"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ae922e477bd81ee5c469c0047f7f88046">noOfGlobalRHS</a></td></tr>
<tr class="separator:ae922e477bd81ee5c469c0047f7f88046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313b998be8af37e2dc7ddd09e2feb2d8"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a313b998be8af37e2dc7ddd09e2feb2d8">noOfLocalRHS</a></td></tr>
<tr class="separator:a313b998be8af37e2dc7ddd09e2feb2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae62a2d97101c66f1e0b6940f4312c83"><td class="memItemLeft" align="right" valign="top">const Stmt *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aae62a2d97101c66f1e0b6940f4312c83">STMTcur</a></td></tr>
<tr class="separator:aae62a2d97101c66f1e0b6940f4312c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229a8312dd8129a9e03437ea552bc2de"><td class="memItemLeft" align="right" valign="top">const Stmt *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a229a8312dd8129a9e03437ea552bc2de">STMTlast</a></td></tr>
<tr class="separator:a229a8312dd8129a9e03437ea552bc2de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb982f7fa93ea8155962bc4248442a19"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_left_right.html">LeftRight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aeb982f7fa93ea8155962bc4248442a19">RHSExpr</a></td></tr>
<tr class="separator:aeb982f7fa93ea8155962bc4248442a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ae4c44e21b77eded679b146ec556a7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_left_right.html">LeftRight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a1ae4c44e21b77eded679b146ec556a7d">LHSExpr</a></td></tr>
<tr class="separator:a1ae4c44e21b77eded679b146ec556a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8389b3e285a4881f9fe51f04eaaeb2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_block_type.html">BlockType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aab8389b3e285a4881f9fe51f04eaaeb2">BlockID_vec</a></td></tr>
<tr class="separator:aab8389b3e285a4881f9fe51f04eaaeb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaea09154f414d6c7056a0ddf6e17b9e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_found_block.html">FoundBlock</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aaea09154f414d6c7056a0ddf6e17b9e1">MatchedBlock</a></td></tr>
<tr class="separator:aaea09154f414d6c7056a0ddf6e17b9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa24e6a87f4ff79c732e3a134e079f206"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#aa24e6a87f4ff79c732e3a134e079f206">stmtNo</a></td></tr>
<tr class="separator:aa24e6a87f4ff79c732e3a134e079f206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3347132a72b367c64a000f8e881ba6"><td class="memItemLeft" align="right" valign="top">FPOptions&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#adb3347132a72b367c64a000f8e881ba6">getFPFeatures</a></td></tr>
<tr class="separator:adb3347132a72b367c64a000f8e881ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882671a1e6b9c0f39970ce7f750a8577"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a882671a1e6b9c0f39970ce7f750a8577">isFPContractableWithinStatement</a></td></tr>
<tr class="separator:a882671a1e6b9c0f39970ce7f750a8577"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2469466402f2ca547f9e4f98546aa5af"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_node_hierarchy.html">NodeHierarchy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a2469466402f2ca547f9e4f98546aa5af">current_level</a></td></tr>
<tr class="separator:a2469466402f2ca547f9e4f98546aa5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae56173882a6a0a20b066586d803ac21d"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ae56173882a6a0a20b066586d803ac21d">SubLevelPrp_vec</a></td></tr>
<tr class="separator:ae56173882a6a0a20b066586d803ac21d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6bb949342cd275cd858c883fbfb2f3b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#af6bb949342cd275cd858c883fbfb2f3b">BinOpPosition</a></td></tr>
<tr class="separator:af6bb949342cd275cd858c883fbfb2f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5fdccdcf10bc5f1f94a62504b5253a5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ab5fdccdcf10bc5f1f94a62504b5253a5">tree</a></td></tr>
<tr class="separator:ab5fdccdcf10bc5f1f94a62504b5253a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac975bdd8407c509fae99646f4a2dbf04"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#ac975bdd8407c509fae99646f4a2dbf04">FuncName</a></td></tr>
<tr class="separator:ac975bdd8407c509fae99646f4a2dbf04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9401e6949ca1d3b4d5203d731258ec69"><td class="memItemLeft" align="right" valign="top">const clang::FunctionDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a9401e6949ca1d3b4d5203d731258ec69">ProcessOrService</a></td></tr>
<tr class="separator:a9401e6949ca1d3b4d5203d731258ec69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1317f0ce6d07921a30f26f3e8a197579"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1de">SupportedOps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties.html#a1317f0ce6d07921a30f26f3e8a197579">Op</a></td></tr>
<tr class="separator:a1317f0ce6d07921a30f26f3e8a197579"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af6bb949342cd275cd858c883fbfb2f3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6bb949342cd275cd858c883fbfb2f3b">&#9670;&nbsp;</a></span>BinOpPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> BinaryOpProperties::BinOpPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab8389b3e285a4881f9fe51f04eaaeb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab8389b3e285a4881f9fe51f04eaaeb2">&#9670;&nbsp;</a></span>BlockID_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_block_type.html">BlockType</a>&gt; BinaryOpProperties::BlockID_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2469466402f2ca547f9e4f98546aa5af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2469466402f2ca547f9e4f98546aa5af">&#9670;&nbsp;</a></span>current_level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_node_hierarchy.html">NodeHierarchy</a> BinaryOpProperties::current_level</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac975bdd8407c509fae99646f4a2dbf04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac975bdd8407c509fae99646f4a2dbf04">&#9670;&nbsp;</a></span>FuncName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string BinaryOpProperties::FuncName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb3347132a72b367c64a000f8e881ba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3347132a72b367c64a000f8e881ba6">&#9670;&nbsp;</a></span>getFPFeatures</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FPOptions BinaryOpProperties::getFPFeatures</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1396f88754a6afd9de9765b10f52df2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1396f88754a6afd9de9765b10f52df2f">&#9670;&nbsp;</a></span>hasGlobalLHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::hasGlobalLHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac088fdfb8f91cc9fc7890f525a755f3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac088fdfb8f91cc9fc7890f525a755f3e">&#9670;&nbsp;</a></span>isAdditiveOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isAdditiveOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6b3869108ab68d320b213da1623a820"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6b3869108ab68d320b213da1623a820">&#9670;&nbsp;</a></span>isAssignmentOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isAssignmentOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3b4f1a8335d82ec2246678fbbbadf14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3b4f1a8335d82ec2246678fbbbadf14">&#9670;&nbsp;</a></span>isBitwiseOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isBitwiseOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5330473a4d91c9ace114bc9f12b4ce67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5330473a4d91c9ace114bc9f12b4ce67">&#9670;&nbsp;</a></span>isComparisonOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isComparisonOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65391488c3c2f167dd05fa58706284a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65391488c3c2f167dd05fa58706284a6">&#9670;&nbsp;</a></span>isCompoundAssignmentOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isCompoundAssignmentOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a7c22ecc82a0fba0cce3bbf816d7928"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a7c22ecc82a0fba0cce3bbf816d7928">&#9670;&nbsp;</a></span>isEqualityOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isEqualityOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a882671a1e6b9c0f39970ce7f750a8577"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a882671a1e6b9c0f39970ce7f750a8577">&#9670;&nbsp;</a></span>isFPContractableWithinStatement</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isFPContractableWithinStatement</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecd57715d3ceceadde0034b53ac1f2f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecd57715d3ceceadde0034b53ac1f2f5">&#9670;&nbsp;</a></span>isLogicalOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isLogicalOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54d9a9d667a2211ed35d7a97825ee783"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54d9a9d667a2211ed35d7a97825ee783">&#9670;&nbsp;</a></span>isMultiplicativeOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isMultiplicativeOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9bbc77be14942519102708a73201b659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bbc77be14942519102708a73201b659">&#9670;&nbsp;</a></span>isPtrMemOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isPtrMemOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4edebb1c0b90d08a4c085425d8db5111"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4edebb1c0b90d08a4c085425d8db5111">&#9670;&nbsp;</a></span>isRelationalOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isRelationalOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c310139b725c9e83a8f317d8aae5037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c310139b725c9e83a8f317d8aae5037">&#9670;&nbsp;</a></span>isShiftAssignOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isShiftAssignOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1d07da54288df5b59adc69b49c1fc1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1d07da54288df5b59adc69b49c1fc1d">&#9670;&nbsp;</a></span>isShiftOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpProperties::isShiftOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ae4c44e21b77eded679b146ec556a7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ae4c44e21b77eded679b146ec556a7d">&#9670;&nbsp;</a></span>LHSExpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_left_right.html">LeftRight</a> BinaryOpProperties::LHSExpr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaea09154f414d6c7056a0ddf6e17b9e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaea09154f414d6c7056a0ddf6e17b9e1">&#9670;&nbsp;</a></span>MatchedBlock</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_found_block.html">FoundBlock</a> BinaryOpProperties::MatchedBlock</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae922e477bd81ee5c469c0047f7f88046"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae922e477bd81ee5c469c0047f7f88046">&#9670;&nbsp;</a></span>noOfGlobalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned BinaryOpProperties::noOfGlobalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a313b998be8af37e2dc7ddd09e2feb2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313b998be8af37e2dc7ddd09e2feb2d8">&#9670;&nbsp;</a></span>noOfLocalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned BinaryOpProperties::noOfLocalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1317f0ce6d07921a30f26f3e8a197579"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1317f0ce6d07921a30f26f3e8a197579">&#9670;&nbsp;</a></span>Op</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1de">SupportedOps</a> BinaryOpProperties::Op</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9401e6949ca1d3b4d5203d731258ec69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9401e6949ca1d3b4d5203d731258ec69">&#9670;&nbsp;</a></span>ProcessOrService</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const clang::FunctionDecl* BinaryOpProperties::ProcessOrService</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb982f7fa93ea8155962bc4248442a19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb982f7fa93ea8155962bc4248442a19">&#9670;&nbsp;</a></span>RHSExpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_left_right.html">LeftRight</a> BinaryOpProperties::RHSExpr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae62a2d97101c66f1e0b6940f4312c83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae62a2d97101c66f1e0b6940f4312c83">&#9670;&nbsp;</a></span>STMTcur</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const Stmt* BinaryOpProperties::STMTcur</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a229a8312dd8129a9e03437ea552bc2de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229a8312dd8129a9e03437ea552bc2de">&#9670;&nbsp;</a></span>STMTlast</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const Stmt* BinaryOpProperties::STMTlast</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa24e6a87f4ff79c732e3a134e079f206"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa24e6a87f4ff79c732e3a134e079f206">&#9670;&nbsp;</a></span>stmtNo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned BinaryOpProperties::stmtNo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae56173882a6a0a20b066586d803ac21d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae56173882a6a0a20b066586d803ac21d">&#9670;&nbsp;</a></span>SubLevelPrp_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a>&gt; BinaryOpProperties::SubLevelPrp_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5fdccdcf10bc5f1f94a62504b5253a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5fdccdcf10bc5f1f94a62504b5253a5">&#9670;&nbsp;</a></span>tree</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;unsigned&gt; BinaryOpProperties::tree</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
